#!/bin/sh

QSYS_SYSTEM_NAME="nios2_linux_3c120_125mhz_sys_qsys"
SUBMODULES_PATH="../nios2_linux_3c120_125mhz_sys_qsys/synthesis/submodules"

ONCHIP_MEMORY_INSTANCES="fast_tlb_miss_ram_1k descriptor_memory"

echo "Entering script ${0}"

for NEXT_INSTANCE in ${ONCHIP_MEMORY_INSTANCES} ; do

[ -e ${SUBMODULES_PATH}/${QSYS_SYSTEM_NAME}_${NEXT_INSTANCE}.v ] && {

    echo "Making backup of file ${SUBMODULES_PATH}/${QSYS_SYSTEM_NAME}_${NEXT_INSTANCE}.v"
    cp -f ${SUBMODULES_PATH}/${QSYS_SYSTEM_NAME}_${NEXT_INSTANCE}.v ${SUBMODULES_PATH}/${QSYS_SYSTEM_NAME}_${NEXT_INSTANCE}.v.bak
    echo "Modifying file ${SUBMODULES_PATH}/${QSYS_SYSTEM_NAME}_${NEXT_INSTANCE}.v"
    sed -i -e "s/${NEXT_INSTANCE}.hex/${QSYS_SYSTEM_NAME}_${NEXT_INSTANCE}.hex/g" ${SUBMODULES_PATH}/${QSYS_SYSTEM_NAME}_${NEXT_INSTANCE}.v

} || {

    echo "ERROR: Could not find file ${SUBMODULES_PATH}/${QSYS_SYSTEM_NAME}_${NEXT_INSTANCE}.v"
    exit 1

}

done
